# gdcm::PhotometricInterpretation Class Reference

Class to represent an PhotometricInterpretation. More...

`#include <gdcmPhotometricInterpretation.h>`

List of all members.

## Public Types
enum | PIType { UNKNOW = 0, MONOCHROME1, MONOCHROME2, PALETTE_COLOR, RGB, HSV, ARGB, CMYK, YBR_FULL, YBR_FULL_422, YBR_PARTIAL_422, YBR_PARTIAL_420, YBR_ICT, YBR_RCT, PI_END }
## Public Member Functions
| PhotometricInterpretation (PIType pi=UNKNOW)
unsigned short | GetSamplesPerPixel () const
| return the value for Sample Per Pixel associated with a particular Photometric Interpretation
const char * | GetString () const
bool | IsLossless () const
bool | IsLossy () const
bool | IsSameColorSpace (PhotometricInterpretation const &pi) const
| operator PIType () const
## Static Public Member Functions
static const char * | GetPIString (PIType pi)
static PIType | GetPIType (const char *pi)
static bool | IsRetired (PIType pi)
## Friends
std::ostream & | operator<< (std::ostream &os, const PhotometricInterpretation &pi)

## Detailed Description

Class to represent an PhotometricInterpretation.

Examples:

  CreateARGBImage.cxx, CreateCMYKImage.cxx, csa2img.cxx, and HelloVizWorld.cxx.

## Member Enumeration Documentation

enum gdcm::PhotometricInterpretation::PIType

Enumerator:

  UNKNOW |
  MONOCHROME1 |
  MONOCHROME2 |
  PALETTE_COLOR |
  RGB |
  HSV |
  ARGB |
  CMYK |
  YBR_FULL |
  YBR_FULL_422 |
  YBR_PARTIAL_422 |
  YBR_PARTIAL_420 |
  YBR_ICT |
  YBR_RCT |
  PI_END |

## Constructor & Destructor Documentation

gdcm::PhotometricInterpretation::PhotometricInterpretation | ( | PIType | pi = `UNKNOW` | ) | `[inline]`

## Member Function Documentation

static const char* gdcm::PhotometricInterpretation::GetPIString | ( | PIType | pi | ) | `[static]`

Referenced by gdcm::operator<<().

static PIType gdcm::PhotometricInterpretation::GetPIType | ( | const char * | pi | ) | `[static]`

unsigned short gdcm::PhotometricInterpretation::GetSamplesPerPixel | ( |  | ) | const

return the value for Sample Per Pixel associated with a particular Photometric Interpretation

const char* gdcm::PhotometricInterpretation::GetString | ( |  | ) | const

bool gdcm::PhotometricInterpretation::IsLossless | ( |  | ) | const

bool gdcm::PhotometricInterpretation::IsLossy | ( |  | ) | const

static bool gdcm::PhotometricInterpretation::IsRetired | ( | PIType | pi | ) | `[static]`

bool gdcm::PhotometricInterpretation::IsSameColorSpace | ( | PhotometricInterpretation const & | pi | ) | const

gdcm::PhotometricInterpretation::operator PIType | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PhotometricInterpretation & | pi |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmPhotometricInterpretation.h